
TYPO3.Neos - Bug # 54401

Status: Resolved Priority: Should have
Author: Rania Marou Category:
Created: 2013-12-13 Assigned To:
Updated: 2014-03-03 Due date:
Subject: [Neos BE] - HTML editor issue in Firefox 
Description

Typo3 Neos 1.0.0 Installation,
Browser: Firefox 25.0.1

In the BE when you add a new HTML node and you press "Edit HTML" (on the right side) a part of the HTML editor is hidden.
I figured out that the rule "padding-right: 320px;" of the class ".neos .neos-secondary-inspector"  hides a part of the HTML editor and
puts it outside the screen on the left side.
If I disable the rule the editor is fine.

Associated revisions
Revision 41cb1261 - 2014-03-03 22:18 - Aske Ertmann

[BUGFIX] Secondary inspector is rendered outside viewport in FF

The secondary inspector opens from the right to the left using a
transition, but in Firefox the left positioning is incorrect so it
animates to a position which is outside the viewport.

This patch changes the animation to be done on the left css property
to make it less error prone.

Change-Id: I8ac215e6901a5414a6b66824ea8804915815991b
Fixes: #54401
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/26547
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal

Revision d60059cc - 2014-03-03 22:20 - Aske Ertmann

[BUGFIX] Secondary inspector is rendered outside viewport in FF

The secondary inspector opens from the right to the left using a
transition, but in Firefox the left positioning is incorrect so it
animates to a position which is outside the viewport.

This patch changes the animation to be done on the left css property
to make it less error prone.
https://review.typo3.org/26547


Change-Id: I8ac215e6901a5414a6b66824ea8804915815991b
Fixes: #54401
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/28009
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-12-23 00:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26547

#2 - 2013-12-23 01:02 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26547

#3 - 2013-12-23 23:45 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26547

#4 - 2013-12-26 10:42 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26547

#5 - 2014-01-05 17:57 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26547

#6 - 2014-03-03 22:02 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26547

#7 - 2014-03-03 22:17 - Gerrit Code Review

Patch set 1 for branch 1.0 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/28009
#8 - 2014-03-03 22:36 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d60059ccf7e8097b6f12d0ef425baf3d31c359aa.
